BitMagic-C++: bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::reference Class Reference

BitMagic-C++

Public Member Functions
bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::reference Class Reference
BitMagic Library » sparse_vector<>

Reference class to access elements via common [] operator. More...

`#include <bmstrsparsevec.h>`

## Public Member Functions
| reference (str_sparse_vector< CharType, BV, MAX_STR_SIZE > &str_sv, size_type idx) BMNOEXCEPT
| operator const value_type * () const BMNOEXCEPT
reference & | operator= (const reference &ref)
reference & | operator= (const value_type *str)
bool | operator== (const reference &ref) const BMNOEXCEPT
bool | is_null () const BMNOEXCEPT

## Detailed Description

### template<typename CharType, typename BV, unsigned MAX_STR_SIZE>
class bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::reference

Reference class to access elements via common [] operator.

Definition at line 121 of file bmstrsparsevec.h.

## Constructor & Destructor Documentation

## ◆ reference()

template<typename CharType , typename BV , unsigned MAX_STR_SIZE>

bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::reference::reference | ( | str_sparse_vector< CharType, BV, MAX_STR_SIZE > & | str_sv,
|  | size_type | idx
| ) |  |
| inline

Definition at line 124 of file bmstrsparsevec.h.

## Member Function Documentation

## ◆ is_null()

template<typename CharType , typename BV , unsigned MAX_STR_SIZE>

bool bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::reference::is_null | ( |  | ) | const
| inline

Definition at line 149 of file bmstrsparsevec.h.

## ◆ operator const value_type *()

template<typename CharType , typename BV , unsigned MAX_STR_SIZE>

bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::reference::operator const value_type * | ( |  | ) | const
| inline

Definition at line 129 of file bmstrsparsevec.h.

## ◆ operator=() [1/2]

template<typename CharType , typename BV , unsigned MAX_STR_SIZE>

reference& bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::reference::operator= | ( | const reference & | ref | ) |
| inline

Definition at line 135 of file bmstrsparsevec.h.

## ◆ operator=() [2/2]

template<typename CharType , typename BV , unsigned MAX_STR_SIZE>

reference& bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::reference::operator= | ( | const value_type * | str | ) |
| inline

Definition at line 142 of file bmstrsparsevec.h.

## ◆ operator==()

template<typename CharType , typename BV , unsigned MAX_STR_SIZE>

bool bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::reference::operator== | ( | const reference & | ref | ) | const
| inline

Definition at line 147 of file bmstrsparsevec.h.

The documentation for this class was generated from the following file:

- bmstrsparsevec.h